# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _
from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool
from jmb.cms.button.cms.models import ButtonSettings


class ButtonPlugin(CMSPluginBase):
    model = ButtonSettings
    name = _("Button")
    module = _("Custom CMS")
    render_template = 'button/cms_plugins/button.html'

    def render(self, context, instance, placeholder):
        request = context["request"]
        if instance.status:

            self.render_template = 'button/cms_plugins/button.html'

            user = request.user
            link_enabled = True
            if instance.disable_if_not_lead:
                if user.is_authenticated():
                    if not hasattr(user, 'profilo'):
                        link_enabled = False
                    else:
                        if user.profilo.is_only_lead:
                            link_enabled = False
                        elif not user.profilo.is_lead:
                            link_enabled = False
                else:
                    link_enabled = False
            elif instance.disable_if_not_user:
                if not user.is_authenticated():
                    link_enabled = False

            context.update({
                'instance': instance,
                'placeholder': placeholder,
                'link_enabled': link_enabled
            })

        return context

plugin_pool.register_plugin(ButtonPlugin)