# coding: utf-8

import datetime
from django.http import HttpResponse
from django.views.decorators.csrf import csrf_exempt


@csrf_exempt
def SetPolicyCookie(request):
    response = HttpResponse()
    if 'cookie_policy_accepted' not in request.COOKIES:
        max_age = 365 * 24 * 60 * 60
        expires = datetime.datetime.strftime(
            datetime.datetime.utcnow() + datetime.timedelta(seconds=max_age),
            "%a, %d-%b-%Y %H:%M:%S GMT"
        )
        response.set_cookie('cookie_policy_accepted', True, max_age=max_age, expires=expires)
    return response