# -*- coding: utf-8 -*-
from django.db import models
from django.utils.translation import ugettext_lazy as _
from django.conf import settings
from cms.models.pluginmodel import CMSPlugin


class GASettings(CMSPlugin):

    ga_code = models.CharField(_('G.A. code'), max_length=80, default="UA-36496273")
    template_name = models.CharField(
        max_length=100,
        choices=settings.GA_CODE_CMSPLUGIN_TEMPLATES,
        default="cms_plugins/ga_code.html",
        editable=len(settings.GA_CODE_CMSPLUGIN_TEMPLATES) > 1
    )

    def __unicode__(self):
        return self.ga_code

    class Meta:
        app_label = "ga_code"
