# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _
from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool
from jmb.cms.image_gallery.cms.models import ImageGallerySettings, ImageSettings
from django.contrib import admin
from image_cropping import ImageCroppingMixin


class ImageAdmin(ImageCroppingMixin, admin.StackedInline):
    model = ImageSettings
    extra = 0


class ImageGalleryPlugin(CMSPluginBase):
    model = ImageGallerySettings
    name = _("Image gallery")
    module = _("Custom CMS")
    inlines = (ImageAdmin,)
    admin_preview = False
    render_template = 'image_gallery/empty.html'

    def render(self, context, instance, placeholder):
        self.render_template = 'image_gallery/cms_plugins/image_gallery.html'
        if instance.status:
            context.update({
                'instance': instance,
                'placeholder': placeholder,
            })
        return context

plugin_pool.register_plugin(ImageGalleryPlugin)