# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.contrib import admin

# from adminsortable.admin import SortableStackedInline

from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool
from jmb.cms.masonry.cms.models import MasonrySettings, MasonryTaleSettings


class MasonryTaleInline(admin.StackedInline):
    model = MasonryTaleSettings
    extra = 0


class MasonryPlugin(CMSPluginBase):

    class Media:
        js = (
            "masonry/js/collapsed_stacked_inlines.js",
        )

    model = MasonrySettings
    name = _("Masonry")
    module = _("Custom CMS")
    inlines = (MasonryTaleInline,)
    admin_preview = False
    render_template = 'masonry/cms_plugins/masonry.html'

    def render(self, context, instance, placeholder):
        request = context["request"]
        self.render_template = 'masonry/cms_plugins/masonry.html'

        context.update({
            'instance': instance,
            'placeholder': placeholder,
        })
        return context

plugin_pool.register_plugin(MasonryPlugin)