# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _

from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool

from jmb.cms.modal_dialog.cms.models import ModalSettings, BSModalSettings
from jmb.core.utils.functions import import_class

###################################
## CMS PLUGINS                    #
###################################


class BSModalPlugin(CMSPluginBase):
    model = BSModalSettings
    name = _("Bootstrap modal dialog")
    module = _("Custom CMS")
    admin_preview = False
    render_template = '/cms_plugins/empty.html'

    def render(self, context, instance, placeholder):
        if not instance.status:
            return context

        self.render_template = instance.template_name
        context.update({
            'instance': instance,
            'placeholder': placeholder,
        })
        return context

plugin_pool.register_plugin(BSModalPlugin)


class ModalPlugin(CMSPluginBase):
    model = ModalSettings
    name = _("Modal dialog")
    module = _("Custom CMS")
    render_template = '/cms_plugins/empty.html'

    def render(self, context, instance, placeholder):
        request = context['request']
        self.render_template = instance.form_template_name
        if instance.form:
            try:
                form_class = import_class(instance.form)
            except:
                print _('Modal dialog form class: import error')
                pass
        if form_class:
            try:
                if request.method == "GET":
                    form = form_class(request.GET)


                else:
                    form = form_class()
            except:
                print _('Modal dialog form class: instantiation error')
                pass

        return context

#plugin_pool.register_plugin(ModelPlugin)




#class ModelSearchPlugin(CMSPluginBase):
#    model = ModelSearchSettings
#    name = _("Product Search")

#    def render(self, context, instance, placeholder):
#        self.render_template = instance.template_name
#        context.update({
#            'instance':instance,
#            'placeholder':placeholder,
#        })
#        return context

#plugin_pool.register_plugin(ModelSearchPlugin)
