# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'BSModalSettings'
        db.create_table(u'cmsplugin_bsmodalsettings', (
            (u'cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
            ('status', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('slug', self.gf('django.db.models.fields.SlugField')(max_length=100)),
            ('template_name', self.gf('django.db.models.fields.CharField')(default='cms_plugins/modal_dialog.html', max_length=100)),
            ('modal_content_title', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('modal_content_text', self.gf('jmb.core.db.fields.HTMLFieldTinyMCE')(null=True, blank=True)),
            ('modal_content_image', self.gf('django.db.models.fields.files.ImageField')(max_length=100, null=True, blank=True)),
            ('modal_content_footer', self.gf('jmb.core.db.fields.HTMLFieldTinyMCE')(null=True, blank=True)),
        ))
        db.send_create_signal('modal_dialog', ['BSModalSettings'])

        # Adding model 'ModalSettings'
        db.create_table(u'cmsplugin_modalsettings', (
            (u'cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
            ('status', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('modal_id', self.gf('django.db.models.fields.SlugField')(max_length=100, null=True, blank=True)),
            ('form', self.gf('django.db.models.fields.CharField')(default='', max_length=100, null=True, blank=True)),
            ('template_name', self.gf('django.db.models.fields.CharField')(default='modal_dialog/cms_plugins/modal_dialog.html', max_length=100)),
        ))
        db.send_create_signal('modal_dialog', ['ModalSettings'])


    def backwards(self, orm):
        # Deleting model 'BSModalSettings'
        db.delete_table(u'cmsplugin_bsmodalsettings')

        # Deleting model 'ModalSettings'
        db.delete_table(u'cmsplugin_modalsettings')


    models = {
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'modal_dialog.bsmodalsettings': {
            'Meta': {'object_name': 'BSModalSettings', 'db_table': "u'cmsplugin_bsmodalsettings'", '_ormbases': ['cms.CMSPlugin']},
            u'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'modal_content_footer': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {'null': 'True', 'blank': 'True'}),
            'modal_content_image': ('django.db.models.fields.files.ImageField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'modal_content_text': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {'null': 'True', 'blank': 'True'}),
            'modal_content_title': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '100'}),
            'status': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'cms_plugins/modal_dialog.html'", 'max_length': '100'})
        },
        'modal_dialog.modalsettings': {
            'Meta': {'object_name': 'ModalSettings', 'db_table': "u'cmsplugin_modalsettings'", '_ormbases': ['cms.CMSPlugin']},
            u'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'form': ('django.db.models.fields.CharField', [], {'default': "''", 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'modal_id': ('django.db.models.fields.SlugField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'modal_dialog/cms_plugins/modal_dialog.html'", 'max_length': '100'})
        }
    }

    complete_apps = ['modal_dialog']