# -*- coding: utf-8 -*-
from django.db import models
from django.utils.translation import ugettext as _
from jmb.core.db.cmsmodels import StatusModel
from django.conf import settings

from cms.models.pluginmodel import CMSPlugin
from mptt.models import MPTTModel, TreeForeignKey

from jmb.cms.navbar.models import NavItem


class NavSettings(CMSPlugin, StatusModel):
    template_name = models.CharField(
        max_length=255,
        choices=settings.NAV_CMSPLUGIN_TEMPLATES,
        default='nav/cms_plugins/nav.html',
    )
    navbar_node_begin = TreeForeignKey(
        'navbar.NavItem',
        verbose_name=_('navbar node begin'),
    )
    add_search_form = models.BooleanField(
        verbose_name=_('add search form'),
        default=False,
    )
    add_social_links = models.BooleanField(
        verbose_name=_('add social links'),
        default=False,
    )

    def __unicode__(self):
        return '%s %s' % (('On - ' if self.status else 'off - '), self._meta.app_label)

    class Meta:
        app_label = "navbar"

