# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
from django.conf import settings
import mptt.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('cms', '0012_auto_20150607_2207'),
    ]

    operations = [
        migrations.CreateModel(
            name='NavItem',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, help_text=None, null=True, verbose_name='Status', choices=[(1, 'Visible'), (0, 'Invisible'), (2, 'Logged Visible')])),
                ('is_hightlighted', models.BooleanField(default=False, verbose_name='is hightlighted')),
                ('is_header', models.BooleanField(default=False, verbose_name='is a dropdown header')),
                ('label', models.CharField(max_length=255, verbose_name='label')),
                ('link', models.CharField(max_length=255, null=True, verbose_name='url relativo', blank=True)),
                ('target', models.CharField(default=b's', max_length=2, verbose_name='target', choices=[(b'b', 'blank: Opens the linked document in a new window or tab'), (b's', 'self: Opens the linked document in the same frame as it was clicked (this is default)'), (b'p', 'parent: Opens the linked document in the parent frame'), (b't', 'top: Opens the linked document in the full body of the window')])),
                ('html_rendered', models.TextField(null=True, verbose_name='html rendered', blank=True)),
                ('lft', models.PositiveIntegerField(editable=False, db_index=True)),
                ('rght', models.PositiveIntegerField(editable=False, db_index=True)),
                ('tree_id', models.PositiveIntegerField(editable=False, db_index=True)),
                ('level', models.PositiveIntegerField(editable=False, db_index=True)),
                ('creator', models.ForeignKey(related_name='navbar_navitem_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='navbar_navitem_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('parent', mptt.fields.TreeForeignKey(related_name='children', verbose_name='parent', blank=True, to='navbar.NavItem', null=True)),
            ],
            options={
                'verbose_name': 'Nav Item',
                'verbose_name_plural': 'Nav Items',
            },
        ),
        migrations.CreateModel(
            name='NavSettings',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='cms.CMSPlugin')),
                ('status', models.BooleanField(default=True, help_text='if not checked, plugin content will not be rendered', verbose_name='Active')),
                ('template_name', models.CharField(default=b'nav/cms_plugins/nav.html', max_length=255, choices=[(b'nav/cms_plugins/nav.html', b'navbar'), (b'nav/cms_plugins/nav_only_menu.html', b'navbar only menu')])),
                ('add_search_form', models.BooleanField(default=False, verbose_name='add search form')),
                ('add_social_links', models.BooleanField(default=False, verbose_name='add social links')),
                ('navbar_node_begin', mptt.fields.TreeForeignKey(verbose_name='navbar node begin', to='navbar.NavItem')),
            ],
            bases=('cms.cmsplugin', models.Model),
        ),
    ]
