# -*- coding: utf-8 -*-
from django.contrib import admin
from django.utils.translation import ugettext as _

from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool

from jmb.cms.navtab.cms.models import NavTabSettings, NavTabItemSettings


class NavTabItemAdmin(admin.StackedInline):
    model = NavTabItemSettings
    extra = 0
    fields = ('name', 'get_slug', 'ordering',)
    readonly_fields = ('get_slug',)


class NavTabPlugin(CMSPluginBase):
    model = NavTabSettings
    name = _("Nav Tab")
    module = _("Custom CMS")
    admin_preview = False
    inlines = (NavTabItemAdmin,)

    def render(self, context, instance, placeholder):
        self.render_template = 'bootstrap3/navtab/cms_plugins/navtab.html'
        items = instance.items.all()
        context.update({
            'instance': instance,
            'placeholder': placeholder,
            'items': items,
        })
        return context

plugin_pool.register_plugin(NavTabPlugin)