# -*- coding: utf-8 -*-

from django.db import models
from django.utils.translation import ugettext as _
from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool
from jmb.cms.responsive_img.cms.models import ResponsiveImgSettings

from .forms import ResponsiveImgForm

from image_cropping import ImageCroppingMixin, ImageCropWidget


class ResponsiveImgPlugin(CMSPluginBase, ImageCroppingMixin):
    model = ResponsiveImgSettings
    name = _("Responsive img")
    module = _("Custom CMS")
    render_template = 'responsive_img/cms_plugins/responsive_img.html'
    form = ResponsiveImgForm
    admin_preview = False

    def render(self, context, instance, placeholder):
        if instance.status:
            self.render_template = 'responsive_img/cms_plugins/responsive_img.html'
            context.update({
                'instance': instance,
                'placeholder': placeholder,
            })

        return context

plugin_pool.register_plugin(ResponsiveImgPlugin)