from django.conf import settings
from django.db import models
from django.utils.translation import ugettext_lazy as _
from cms.models.pluginmodel import CMSPlugin


class ScriptSettings(CMSPlugin):
    active = models.BooleanField(_("Active"), default=False)
    tab_pane_slug = models.SlugField(
        max_length=255,
        blank=True, null=True,
        help_text="""
            serve per collegarlo ad una nav tab: getbootstrap.com/javascript/#tabs
        """
    )
    name = models.CharField(_("Name"), max_length=100, null=True, blank=True)
    snippet = models.TextField(_('Script snippet'), default="<script>...put your code here...</script>")
    template_name = models.CharField(
        max_length=100, choices=settings.SCRIPT_CMSPLUGIN_TEMPLATES,
        default="cms_plugins/script.html"
    )

    def __unicode__(self):
        if self.active:
            return "On - " + self.name
        else:
            return "Off - " + self.name

    class Meta:
        app_label = "script"
