from django.utils.translation import ugettext_lazy as _
from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool
from jmb.cms.shortcut_icon.cms.models import IconSettings



class IconPlugin(CMSPluginBase):
    model = IconSettings
    name = _("Shortcut Icon")
    module = _("Custom CMS")
    render_template = "cms_plugins/empty.html"

    def render(self, context, instance, placeholder):
        self.render_template = instance.template_name
        context.update({
            'instance': instance,
        })
        return context

plugin_pool.register_plugin(IconPlugin)
