# -*- coding: utf-8 -*-
from django.utils.translation import ugettext as _
from cms.plugin_base import CMSPluginBase
from cms.plugin_pool import plugin_pool
from jmb.cms.simple_text.cms.models import SimpleTextSettings


class SimpleTextPlugin(CMSPluginBase):
    model = SimpleTextSettings
    name = _("Simple Text")
    module = _("Custom CMS")
    admin_preview = False
    render_template = 'simple_text/cms_plugins/simple_text.html'

    def render(self, context, instance, placeholder):
        self.render_template = 'simple_text/cms_plugins/simple_text.html'
        if instance.status:
            context.update({
                'instance': instance,
                'placeholder': placeholder,
            })
        return context

plugin_pool.register_plugin(SimpleTextPlugin)
